<script setup>
import EnergyReportSearch from "./EnergyReportSearch.vue";
import EnergyReportTable from "./EnergyReportTable.vue";
import dayjs from "dayjs";
import { ref, provide } from "vue";

const tableData = ref([]);
const loading = ref(false);

provide("energy_table_data", {
  tableData,
  loading,
});
</script>

<template>
  <div class="mt-2">
      <EnergyReportSearch />
      <EnergyReportTable />
  </div>
</template>

<style lang="scss" scoped></style>
